#pragma once

#include <VulcanoLE/Visual/VIZ.h>
#include <VulcanoLE/Audio/AudioGrabber.h>

namespace VIZ {
    struct Spectrum : public VIZ {
        Spectrum(AudioGrabber *pGrabber, Vulcan121 *pVulcan121);
        ~Spectrum() override = default;
        void on_setup() override;
        void on_tick() override;
        double lastVal = 0;
        const char *name() override;
        std::string m_name = "Spectrum One";
        rgba colors[3] = {
                { 0, 30, 150, 0 },
                { 150, 150, 0, 0 },
                { 150, 0, 40, 0 }
        };
    };
}

