#pragma once
#define FFT_SIZE 1024
#define BUFFER_SIZE 2048

struct stereo_sample_frame {
    float l;
    float r;
};

using pcm_stereo_sample = struct stereo_sample_frame;

struct outputSample {
    explicit outputSample(int fftSize) {
        leftChannel = new double[fftSize];
        rightChannel = new double[fftSize];
    }
    ~outputSample() {
        delete[] leftChannel;
        delete[] rightChannel;
    }
    double *leftChannel;
    double *rightChannel;
};